BlackBerry Desktop Software 4.0.1 installation failures

Asked By 0 points N/A Posted on -
qa-featured

Good afternoon,

I tried to install BlackBerry Desktop Software 4.0.1 on my computer (Microsoft Windows OS). While installing the BlackBerry Desktop Software, installation files failed to register (oasisapi.dll) with Microsoft Windows and the following error appeared:

BlackBerry Desktop Software 4.0.1 Installer Information

Error 1904. Module C:Program FilesResearch In MotionBlackBerryConnectorsL05Connectoroasisapi.dll failed to register. HRESULT-2147221164. Contact your support personnel.

Error 1904. Module

Also other files failed to register.

Do I need to install the latest Microsoft Windows Service Packs for my operating system to solve this problem?

Thanks a million!

Kat

SHARE
Best Answer by Trevor
Best Answer
Best Answer
Answered By 0 points N/A #113443

BlackBerry Desktop Software 4.0.1 installation failures

qa-featured

All of the software vendors provides the software and hardware requirements for their product. You fine their software and hardware requirements written on the packaging box or if they don’t have packing box, try to find on the manual.

If the software requires you to at least you have the service pack installed in your computer, we don’t have a problem if you will be having installed the latest service pack.

Most of this problem originates from the system security. As we can see, your installation disk updating and registering a DLL file in your registry, the error occurs because you might have no rights to modify the registry. If you are the administrator of your computer try to log-in on the administrator account then re-install. Or if you are using Windows 7, right click on the installation file then select “Run as Administrator” from the popup menu.

 

Answered By 0 points N/A #113446

BlackBerry Desktop Software 4.0.1 installation failures

qa-featured

You will need to get the latest version of the blackberry desktop software and use it for the installation. The problem with the one you are installing seems to be in the registry entries as indicated by the *.dll in the error message. The registry files that it is using seem not to be supported the blackberry device that you are using, and therefore you will need to do the following:

  • Go to the internet, and in the search engine of your choice search for the latest blackberry desktop software.
  • Or you can go straight to the blackberry company website and download the application from there, or some other sites like cnet downloads and majorgeeks.com
  • Install the version you  have downloaded and see what the response will be.

-Clair Charles

Login/Register to Answer

Related Questions